/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A Command subclass used by CommandTest.
 *
 * @see truemvc.command.CommandTest CommandTest
 * @see truemvc.command.CommandTestVO CommandTestVO
 *
 * @extends truemvc.command.Command
 * 
 * @constructor
 */
var CommandTestCommand = Objs
(
	"truemvc.command.CommandTestCommand",
	"truemvc.command.Command",
	{
		/**
		 * Fabricate a result by multiplying the input by 2
		 * 
		 * @param {Notification} notification
		 * 		The <code>Notification</code> carrying the
		 * 		<code>CommandTestVO</code>
		 */
		execute: function( notification )
		{
			var vo/*CommandTestVO*/ = notification.getBody();
	
			// Fabricate a result
			vo.result = 2 * vo.input;
		}
	}
);