/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A MacroCommand subclass used by MacroCommandTest.
 *
 * @see truemvc.command.MacroCommandTest MacroCommandTest
 * @see truemvc.command.MacroCommandTestSub1Command MacroCommandTestSub1Command
 * @see truemvc.command.MacroCommandTestSub2Command MacroCommandTestSub2Command
 * @see truemvc.command.MacroCommandTestVO MacroCommandTestVO
 * 
 * @extends truemvc.command.MacroCommand
 * 
 * @constructor
 */
var MacroCommandTestCommand = Objs
(
	"truemvc.command.MacroCommandTestCommand",
	"truemvc.command.MacroCommand",
	{
		/**
		 * Initialize the MacroCommandTestCommand by adding
		 * its 2 SubCommands.
		 * 
		 * @override
		 */
		initializeMacroCommand: function() 
		{
			this.addSubCommand( "truemvc.command.MacroCommandTestSub1Command" );
			this.addSubCommand( "truemvc.command.MacroCommandTestSub2Command" );
		}
	}
);