/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A Command subclass used by MacroCommandTestCommand.
 *
 * @see truemvc.command.MacroCommandTest MacroCommandTest
 * @see truemvc.command.MacroCommandTestCommand MacroCommandTestCommand
 * @see truemvc.command.MacroCommandTestVO MacroCommandTestVO
 *
 * @extends truemvc.command.Command
 * 
 * @constructor
 */
var MacroCommandTestSub1Command = Objs
(
	"truemvc.command.MacroCommandTestSub1Command",
	"truemvc.command.Command",
	{
		/**
		 * Fabricate a result by multiplying the input by 2
		 * 
		 * @param {Notification} notification
		 * 		The <code>Notification</code> carrying the
		 * 		<code>MacroCommandTestVO</code>
		 */
		execute: function( notification )
		{
			var vo/*MacroCommandTestVO*/ = notification.getBody();
			
			// Fabricate a result
			vo.result1 = 2 * vo.input;
		}
	}
);