/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A Command subclass used by FacadeTest.
 *
 * @see truemvc.facade.FacadeTest FacadeTest
 * @see truemvc.facade.FacadeTestVO FacadeTestVO
 * 
 * @extends truemvc.command.Command
 *
 * @constructor
 */
var FacadeTestCommand = Objs
(
	"truemvc.facade.FacadeTestCommand",
	"truemvc.command.Command",
	{		
		/**
		 * Fabricate a result by multiplying the input by 2
		 * 
		 * @param {Notification} notification
		 * 		The Notification carrying the FacadeTestVO
		 */
		execute: function( notification )
		{
			var vo/*FacadeTestVO*/ = notification.getBody();
			
			// Fabricate a result
			vo.result = 2 * vo.input;
		}
	}
);