/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @class
 * A <code>Facade</code> subclass validating automatic calls are all made and in the right order.
 * 
 * @extends truemvc.facade.Facade Facade
 */
var FacadeTestSub2 = Objs
(
	"truemvc.facade.FacadeTestSub2",
	"truemvc.facade.Facade",
	{
		/**
		 * @type {Number}
		 */
		count: 0,
		facadeInitialized: 0,
		modelSet: 0,
		viewSet: 0,
		controllerSet: 0,
		modelInitialized: 0,
		viewInitialized: 0,
		controllerInitialized: 0,

		/**
		 * @override
		 */
		initializeFacade: function()
		{
			this.facadeInitialized = ++this.count;
			FacadeTestSub2.$super.initializeFacade.call(this);
		},

		/**
		 * @override
		 */
		setModel: function( model )
		{
			this.modelSet = ++this.count;
			FacadeTestSub2.$super.setModel.call( this, model );
		},

		/**
		 * @override
		 */
		setView: function( view )
		{
			this.viewSet = ++this.count;
			FacadeTestSub2.$super.setView.call( this, view );
		},

		/**
		 * @override
		 */
		setController: function( controller )
		{
			this.controllerSet = ++this.count;
			FacadeTestSub2.$super.setController.call( this, controller );
		},

		/**
		 * @override
		 */
		initializeModel: function()
		{
			this.modelInitialized = ++this.count;
			FacadeTestSub2.$super.initializeModel.call(this);
		},

		/**
		 * @override
		 */
		initializeView: function()
		{
			this.viewInitialized = ++this.count;
			FacadeTestSub2.$super.initializeView.call(this);
		},

		/**
		 * @override
		 */
		initializeController: function()
		{
			this.controllerInitialized = ++this.count;
			FacadeTestSub2.$super.initializeController.call(this);
		}

	}
);