/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * Test the TrueMVC Mediator class.
 * 
 * @see truemvc.mediator.Mediator
 */
var MediatorTest = new YUITest.TestCase
(
	{
       /**
         * The name of the test case - if not provided, one is automatically
         * generated by the YUITest framework.
         * 
         * @type {String}
         * @private
         */
       name: "TrueMVC Mediator class tests",

        /**
         * Sets up data that is needed by each test.
         */
        setUp: function()
		{
        },
        
        /**
         * Cleans up everything that was created by setUp().
         */
        tearDown: function()
		{
        },

		/**
		 * Tests if constructing the Mediator also call its super by testing
		 * for the error returned by the sendNotification method.
		 */
		testConstructor: function()
		{
			var Mediator = Objs("truemvc.mediator.Mediator");

			// Create a new subclass of Notifier and verify that its facade
			// has well been set.
			var mediator/*Mediator*/ = new Mediator();

			//TODO Call sendNotification to see if Notifier is well implemented
		},

		/**
  		 * Tests getting the name using Mediator class accessor method.
  		 */
  		testNameAccessor: function()
		{
    		var Mediator = Objs("truemvc.mediator.Mediator");

			// Create a new Mediator and use accessors to set the mediator name 
   			var mediator/*Mediator*/ = new Mediator();
   			
   			// test assertions
   			YUITest.Assert.areEqual
			(
				Mediator.NAME,
				mediator.getMediatorName(),
				"Expecting mediator.getMediatorName() == Mediator.NAME"
			);
   		},

  		/**
  		 * Tests getting the name using Mediator class accessor method. 
  		 */
  		testViewAccessor: function()
		{
    		var Mediator = Objs("truemvc.mediator.Mediator");

			// Create a view object
			var view/*Object*/ = new Object();
			
			// Create a new Proxy and use accessors to set the proxy name 
   			var mediator/*Mediator*/ = new Mediator( Mediator.NAME, view );
			   			
   			// test assertions
   			YUITest.Assert.isNotNull
			(
				mediator.getViewComponent(),
				"Expecting mediator.getViewComponent() !== null"
			);
   		}

  	}
);