/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A Command subclass used by ControllerTest.
 *
 * @see truemvc.mvc.ControllerTest ControllerTest
 * @see truemvc.mvc.ControllerTestVO ControllerTestVO
 *
 * @extends truemvc.command.Command
 * 
 * @constructor
 */
var ControllerTestCommand2 = Objs
(
	"truemvc.mvc.ControllerTestCommand2",
	"truemvc.command.Command",
	{
		/**
		 * Fabricate a result by multiplying the input by 2 and adding to the
		 * existing result.
		 * 
		 * <P>
		 * This tests accumulation effect that would show if the command were
		 * executed more than once.
		 * 
		 * @param {Notification} notification
		 * 		The notification carrying the ControllerTestVO.
		 */
		execute: function( notification )
		{
			var vo/*ControllerTestVO*/ = notification.getBody();
			
			// Fabricate a result
			vo.result = vo.result+(2 * vo.input);
		}
	}
);