/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * A <code>Proxy</code> subclass used by <code>ModelTest</code> testCase.
 *
 * @extends truemvc.proxy.Proxy
 * 
 * @constructor
 */
var ModelTestProxy = Objs
(
	"truemvc.mvc.ModelTestProxy",
	"truemvc.proxy.Proxy",
	{
		/**
		 * @constructor
		 */
		initialize: function()
		{
			ModelTestProxy.$super.initialize.call( this, ModelTestProxy.NAME, '' );
		},
	
		/**
		 * @override.
		 */
		onRegister: function()
		{
			this.setData( ModelTestProxy.ON_REGISTER_CALLED );
		},		
	
		/**
		 * @override.
		 */
		onRemove: function()
		{
			this.setData( ModelTestProxy.ON_REMOVE_CALLED );
		}		
	}
);

/**
 * @type {String}
 * @constant
 */
ModelTestProxy.NAME = 'ModelTestProxy';


/**
 * @type {String}
 * @constant
 */
ModelTestProxy.ON_REGISTER_CALLED = 'onRegister Called';


/**
 * @type {String}
 * @constant
 */
ModelTestProxy.ON_REMOVE_CALLED = 'onRemove Called';