/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A Mediator class used by ViewTest.
 * 
 * @see truemvc.mvc.ViewTest ViewTest
 *
 * @extends truemvc.mediator.Mediator
 * 
 * @constructor
 */
var ViewTestMediator = Objs
(
	"truemvc.mvc.ViewTestMediator",
	"truemvc.mediator.Mediator",
	{
		/**
		 * @constructs
		 * Initialize a <code>Mediator</code> subclass instance.
		 * 
		 * @param {Object} view
		 * 		The view component handled by this <code>Mediator</code>.
		 */
		initialize: function( view )
		{
			ViewTestMediator.$super.initialize.call( this, ViewTestMediator.NAME, view );
		},
	
		/**
		 * @override
		 *
		 * @return {Array}
		 * 		The list of notifications names in which is interested the
		 * 		<code>Mediator</code>.
		 */
		listNotificationInterests: function()
		{
			// be sure that the mediator has some Observers created
			// in order to test removeMediator
			return [ 'ABC', 'DEF', 'GHI'  ];
		}
	}
);

/**
 * The Mediator name.
 * 
 * @type {String}
 * @private
 */
ViewTestMediator.NAME = "ViewTestMediator";
