/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A Notification class used by ViewTest.
 *
 * @see truemvc.mvc.ViewTest ViewTest
 * @extends truemvc.observer.Notification
 * 
 * @constructor
 */
var ViewTestNote = Objs
(
	"truemvc.mvc.ViewTestNote",
	"truemvc.observer.Notification",
	{
		/**
		 * @constructs
		 * 
		 * @param {String} name
		 * 		Ignored and forced to NAME.
		 * 
		 * @param {Object} body 
		 * 		The body of the Notification to be constructed.
		 */
		initialize: function( name, body )
		{						
			ViewTestNote.$super.initialize.call( this, ViewTestNote.NAME, body );
		}
	}
);

/**
 * The name of this Notification.
 * @type {String}
 */
ViewTestNote.NAME = "ViewTestNote";

/**
 * Factory method.
 * 
 * <P> 
 * This method creates new instances of the ViewTestNote class,
 * automatically setting the notification name so you don't have to. Use
 * this as an alternative to the constructor.
 * 
 * @param {Object} body
 * 		The body of the Notification to be constructed.
 *
 * @return {Notification}
 *		The created <code>Notification</code>
 */
ViewTestNote.create = function( body )	
{
	return new ViewTestNote( ViewTestNote.NAME, body );
}