/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * Tests TrueMVC Observable class.
 *
 * @see truemvc.Observable
 */
var ObservableTest = new YUITest.TestCase
(
	{	
       /**
        * The name of the test case - if not provided, one is automatically
        * generated by the YUITest framework.
        *
        * @type {String}
        * @private
        */
        name: "TrueMVC Observable class tests",

        /**
         * Sets up data that is needed by each test.
         */
        setUp: function()
		{
        },
        
        /**
         * Cleans up everything that was created by setUp().
         */
        tearDown: function()
		{
        },

  		/**
  		 * A test variable that proves the notify method was executed with
  		 * 'this' as its execution context.
  		 * 
  		 * @type {Number}
  		 * @private
  		 */
  		observerTestVar: null,

  		/**
  		 * Creates an Observable adds it an Observer and tests for the observer being notified of a given notification.
 		 */
  		testNotifyAndRegisterObserver: function()
		{
			var Observer = Objs("truemvc.observer.Observer");
			var Observable = Objs("truemvc.observer.Observable");
			var Notification = Objs("truemvc.observer.Notification");
			var ObservableTestObserver = Objs("truemvc.observer.ObservableTestObserver");

			var notification/*Notification*/ = new Notification("notification1");

			var observer/*ObservableTestObserver*/ = new ObservableTestObserver();
			var observable/*Observable*/ = new Observable();
			observable.registerObserver( "notification1", observer );
			observable.notifyObservers( notification );

			// test assertions
   			YUITest.Assert.areEqual
			(
				notification,
				observer.receivedNotification,
				"Expecting notification = observer.receivedNotification"
			);

   		}

		//TODO Implement rest of Observable class tests
  	}
);