/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * An Observer class used by ViewTest.
 * 
 * @see truemvc.observer.ObservableTest
 *
 * @extends truemvc.observer.Observer
 * 
 * @constructor
 */
var ObservableTestObserver = Objs
(
	"truemvc.observer.ObservableTestObserver",
	"truemvc.observer.Observer",
	{
		/**
		 * The observer retain the Notification so that the test class can verify if it has well been received.
		 *
		 * @type {Notification}
		 */
		receivedNotification: null,

		/**
		 * @override
		 */
		handleNotification: function( notification )
		{
			this.receivedNotification = notification;
		}
	}
);
