/*
 * Inspired from PureMVC - Copyright(c) 2006-2012 Futurescale, Inc., Some rights reserved.
 * TrueMVC JavaScript may be freely distributed under the MIT license.
 * For all details and documentation: https://github.com/tekool/truemvc-javascript
 */

/**
 * @classDescription
 * A <code>Proxy</code> utility subclass used by <code>ProxyTest</code>.
 * 
 * @extends truemvc.proxy.Proxy
 * 
 * @constructor
 */
var ProxyTestSub = Objs
(
	"truemvc.proxy.ProxyTestSub",
	"truemvc.proxy.Proxy",
	{
		/**
		 * A method to test if <code>Facade</code> instance of the object has
		 * well been declared during its construction.
		 * 
		 * @return {Boolean}
		 * 		<code>Facade</code> instance of the object has well been declared
		 * 		during its construction.
		 */
		hasFacade: function()
		{
			var Facade = Objs("truemvc.facade.Facade");
			return this.facade instanceof Facade;
		}
	}
);